import { Component, Inject } from '@angular/core';
import { Http } from '@angular/http';
import { IgGridComponent } from 'igniteui-angular2';
import { HomeService } from './home.service';
import { IHome } from './home';

declare var $: any;
@Component({
    selector: 'home',
    templateUrl: './home.component.html',
    providers: [HomeService]
})
export class HomeComponent {
    private gridOptions: IgGrid;
    private id: string;
    private errorMessage: string;
    private gridHome: IHome[] = [];

    ngOnInit(): void {



        this._homeService.getHome()
            .subscribe(data => {
                this.gridHome = data;

            },
            error => this.errorMessage = <any>error);

    }

    constructor(private _homeService: HomeService) {


        //this.data = this.ErrorTypes;
        this.id = 'TestTypeGrid';
        this.gridOptions = {

            autoCommit: true,
            dataSource: this.gridHome,
            width: "100%",
            height: "710px",
            autoGenerateColumns: false,

            columns: [
                { key: "userId", headerText: "userId", width: "10%", dataType: "number" },
                { key: "id", headerText: "id", width: "10%", dataType: "number" },
                { key: "title", headerText: "title", width: "40%", dataType: "string" },
                { key: "body", headerText: "body", width: "40%", dataType: "string" },

            ],
            primaryKey: "id",
            restSettings: {
                create: {
                    url: "https://jsonplaceholder.typicode.com/posts",
                    batch: false
                },
                update: {
                    url: "https://jsonplaceholder.typicode.com/posts",
                    batch: false
                },
                remove: {
                    url: "https://jsonplaceholder.typicode.com/posts",
                    batch: false
                }
            },
            features: [
                {
                    name: "Updating",
                    editMode: "dialog"
                   
                },
                {
                    name: "Paging"
                },
                {
                    name: "Filtering"
                },
                {
                    name: "Sorting"
                }
            ]
        }
    }


    public saveGrid() {
        $("#TestTypeGrid").igGrid("saveChanges", function (data) {

            $("#message").text("Changes were saved successfully").fadeIn(15000).fadeOut(15000);
            //temp1.tempPrimaryKey = -1;
        },
            function (jqXHR, settings, textStatus, errorThrown) {

            });

    }

}
